Bug 149039 - english text displayed during CJK installation (text mode)
english text displayed during CJK installation (text mode)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: i18n
Depends On:
Blocks: 92146
  Show dependency treegraph
 
Reported: 2005-02-18 00:09 EST by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-10.2.0.28-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-16 20:45:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2005-02-18 00:09:27 EST
Description of problem:
After selecting CJK as the language for installation, english text was
displayed instead.

Error Messgae:
/etc/font.bgf.gz : not a BGF font
Bad font

Version-Release number of selected component (if applicable):
anaconda-10.2.0.19-1.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1.Proceed with anaconda graphical/text installation
2.Select Japanese as the installation language
3.
  
Actual results:
The display is in English

Expected results:
The display should be in Japanese

Additional info:
Comment 1 Jeremy Katz 2005-02-20 21:07:20 EST
Committed something that should hopefully help this in CVS, will need
a new tree to test
Comment 2 Lawrence Lim 2005-03-07 01:38:00 EST
I tried installing in LANG=ja with a kickstart file, the text mode
installation is good but the font package seems missing and hence the
text are all displayed as empty squares.

Could you please have a look again?
Comment 3 Jens Petersen 2005-03-08 03:05:10 EST
At least for anaconda gui and tui installs now the CJK font is used.
However currently the installer doesn't seem to be finding
any CJK fonts when choosing a CJK install - just get white boxes.
(Inspite of this the install works ok.)
Comment 4 Jeremy Katz 2005-03-14 16:32:50 EST
More fixing in progress...  about to build a tree to test it with.
Comment 5 Lawrence Lim 2005-03-16 20:45:47 EST
Tried rawhide-20050315 with anaconda-10.2.0.28-1, the ja text are now being
displayed instead of empty squares.



Thanks.

Note You need to log in before you can comment on or make changes to this bug.